Skip to navigation

Update a resource

View as Markdown
Update resource details

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the Partner entry
resourceIdstringRequiredformat: "uuid"
id of the Resource

Request

This endpoint expects an object.
titlestring or nullOptional1-255 characters
filestring or nullOptionalformat: "binary"
fileUrlstring or nullOptionalformat: "uri">=1 character
urlstring or nullOptionalformat: "uri"1-2000 characters
orderintegerOptional>=0

Response

Successful operation
idstringformat: "uuid"
titlestring or nullOptional<=255 characters
filestring or nullOptional
fileUrlstring or nullOptional
urlstring or nullOptionalformat: "uri"<=2000 characters
orderintegerOptional>=0

Errors

404
Not Found Error